﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Ribbon_Orange.aspx.cs" Inherits="Ribbon_Orange" %>

<%@ Register src="Ribbon/Ribbon_BigItem.ascx" tagname="Ribbon_BigItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_SmallItem.ascx" tagname="Ribbon_SmallItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_Group.ascx" tagname="Ribbon_Group" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_Separator.ascx" tagname="Ribbon_Separator" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_Zone.ascx" tagname="Ribbon_Zone" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_DualGroup.ascx" tagname="Ribbon_DualGroup" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_IconItem.ascx" tagname="Ribbon_IconItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_MultiLineGroup.ascx" tagname="Ribbon_MultiLineGroup" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_DDSmallItem.ascx" tagname="Ribbon_DDSmallItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_DDIconItem.ascx" tagname="Ribbon_DDIconItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_DDBigItem.ascx" tagname="Ribbon_DDBigItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_Gallery.ascx" tagname="Ribbon_Gallery" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_GallerySubItem.ascx" tagname="Ribbon_GallerySubItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_FileMenu.ascx" tagname="Ribbon_FileMenu" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_FileMenuItem.ascx" tagname="Ribbon_FileMenuItem" tagprefix="SBRibbon" %>
<%@ Register src="Ribbon/Ribbon_ColorPicker.ascx" tagname="Ribbon_ColorPicker" tagprefix="SBRibbon" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Office 2010 Ribbon Test</title>
    <link href="Ribbon/Ribbon.css" rel="stylesheet" type="text/css" />
    <script src="Ribbon/Ribbon.js"></script>
   </head>
<body> 
    <form id="form1" runat="server">
    
<asp:ScriptManager ID="ScriptManager1" runat="server" >
</asp:ScriptManager>
    
    
    <script>
        // Some Javascript used by Ribbon items
        function TestJS() {
            alert("Hello world !");
        }

        function TestColorPicker1(val) {
            alert("ColorPicker 1 -> Selected color : \"" + val + "\"");
        }

        function TestColorPicker2(val) {
            alert("ColorPicker 2 -> Selected color : \"" + val + "\"");
        }
    </script>
    
    <div style="font-size:8pt; text-align:center;">
    Microsoft Powerpoint Web App
    </div>
    
    
    <ajaxToolkit:TabContainer ID="TabContainer1" runat="server" CssClass="SBRibbon-theme">
        <ajaxToolkit:TabPanel ID="TabPanel1" runat="server">
            <HeaderTemplate>
                Général
            </HeaderTemplate>
            <ContentTemplate>
                <SBRibbon:Ribbon_Zone ID="Ribbon_Zone1" runat="server">
                    <ContentTemplate>
                    
                        <SBRibbon:Ribbon_Group ID="Ribbon_Group2" runat="server" Text="First group">
                            <ContentTemplate>
                                <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem7" runat="server" ImageUrl="../Img/reply-group.png"
                                    Text="Envoyer au groupe" />
                                <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem8" runat="server" ImageUrl="../Img/reply-group.png"
                                    Text="Transférer au groupe" />
                                <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem9" runat="server" ImageUrl="../Img/reply-group.png"
                                    Text="Transférer au groupe" />
                            </ContentTemplate>
                        </SBRibbon:Ribbon_Group>
                        
                        <SBRibbon:Ribbon_DualGroup ID="Ribbon_DualGroup2" runat="server" Text="Dual Group">
                            <LeftContentTemplate>
                                <SBRibbon:Ribbon_DDBigItem ID="Ribbon_DDBigItem1" runat="server" ImageUrl="../img/reply.png"
                                    Text="Transférer" Tooltip="A Big Drop-Down Menu">
                                    <ContentTemplate>
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem87" runat="server" ImageUrl="../Img/reply-group.png"
                                            Text="Envoyer au groupe" />
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem88" runat="server" ImageUrl="../Img/reply-group.png"
                                            Text="Transférer au groupe" />
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem89" runat="server" ImageUrl="../Img/reply-group.png"
                                            Text="Transférer au groupe" />
                                    </ContentTemplate>
                                </SBRibbon:Ribbon_DDBigItem>
                            </LeftContentTemplate>
                            <RightContentTemplate>
                                <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem3" runat="server" ImageUrl="../Img/send.png"
                                    Text="Envoyer au groupe" />
                                <SBRibbon:Ribbon_DDSmallItem ID="Ribbon_DDSmallItem1" runat="server" ImageUrl="../Img/application_side.png" Text="Drop down menu">
                                    <ContentTemplate>
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem91" runat="server"
                                            Text="Transférer au groupe" />
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem92" runat="server" ImageUrl="../Img/add.png"
                                            Text="Another Action here" />   
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem96" runat="server" ImageUrl="../Img/attach.png"
                                            Text="And one more..." />
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem910" runat="server" ImageUrl="../Img/send.png"
                                            Text="Lorem Ipsum" />                                                                                                                
                                        <SBRibbon:Ribbon_SmallItem ID="Ribbon_SmallItem911" runat="server" ImageUrl="../Img/icon_excel.gif"
                                            Text="Envoyer vers Microsoft Excel" />  
                                    </ContentTemplate>
                                </SBRibbon:Ribbon_DDSmallItem>
                                
                                <SBRibbon:Ribbon_DDIconItem ID="Ribbon_DDIconItem221" runat="server" ImageUrl="../img/paint-can-color.png" ToolTip="A Color Picker">
                                    <ContentTemplate>
                                        <SBRibbon:Ribbon_ColorPicker ID="Ribbon_ColorPicker11" runat="server" OnClientClick="TestColorPicker1" ShowDefaultColor="true" ShowDefaultPalette="true" />                                          
                                    </ContentTemplate>
                                </SBRibbon:Ribbon_DDIconItem>                                
                            </RightContentTemplate>
                        </SBRibbon:Ribbon_DualGroup>                       
                        
                        <SBRibbon:Ribbon_Group ID="Ribbon_Group6" runat="server" Text="With a Gallery">
                            <ContentTemplate>
                                <SBRibbon:Ribbon_Gallery ID="Ribbon_Gallery1" runat="server" ItemsToShow="3" ItemsPerLine="4" CanExpand="true">
                                <ContentTemplate> 
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem1" Tooltip="One" runat="server" Text="One" ImageUrl="../Img/hp_barchart.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem2" Tooltip="Two" runat="server" Text="Two" ImageUrl="../Img/hp_refreshgraph.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem3" Tooltip="Three" runat="server" Text="Three" ImageUrl="../Img/hp_tabsgraph.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem4" Tooltip="Four" runat="server" Text="Four" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem5" Tooltip="Five" runat="server" Text="Five" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem6" Tooltip="Six" runat="server" Text="Six" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem7" Tooltip="Seven" runat="server" Text="Seven" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem8" Tooltip="Eight" runat="server" Text="Eight" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem9" Tooltip="Nine" runat="server" Text="Nine" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem10" Tooltip="Ten" runat="server" Text="Ten" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem11" Tooltip="Eleven" runat="server" Text="Eleven" ImageUrl="../Img/bullet_orange.png" />                                  
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem12" Tooltip="Twelve" runat="server" Text="Twelve" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem13" Tooltip="Thirteen" runat="server" Text="Thirteen" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem14" Tooltip="Fourteen" runat="server" Text="Fourteen" ImageUrl="../Img/bullet_orange.png" />
                                    <SBRibbon:Ribbon_GallerySubItem ID="Ribbon_GallerySubItem15" Tooltip="Fifteen" runat="server" Text="Fifteen" ImageUrl="../Img/bullet_orange.png" />
                                </ContentTemplate>
                                </SBRibbon:Ribbon_Gallery>
                            </ContentTemplate>
                        </SBRibbon:Ribbon_Group>
                        
                        <SBRibbon:Ribbon_Group ID="Ribbon_Group5" runat="server" Text="Ruban">
                            <ContentTemplate>
                                <SBRibbon:Ribbon_BigItem ID="Ribbon_BigItem1" runat="server" ImageUrl="../img/next.png"
                                    Text="Ajouter<br>des boutons" />
                            </ContentTemplate>
                        </SBRibbon:Ribbon_Group>
                        
                    </ContentTemplate>
                </SBRibbon:Ribbon_Zone>
            </ContentTemplate>
        </ajaxToolkit:TabPanel>      
        <ajaxToolkit:TabPanel ID="TabPanel4" runat="server">
            <HeaderTemplate>
                Lorem Ipsum
            </HeaderTemplate>
            <ContentTemplate>
                <SBRibbon:Ribbon_Zone ID="Ribbon_Zone4" runat="server">
                    <ContentTemplate>
                        <li>Create custom groups or whatever...<br />
                            Insert standard elements or anything else</li>
                        <SBRibbon:Ribbon_Separator runat="server" />
                        <li>
                            <asp:Button ID="Button1" runat="server" Text="Button" /></li>
                    </ContentTemplate>
                </SBRibbon:Ribbon_Zone>
            </ContentTemplate>
        </ajaxToolkit:TabPanel>
    </ajaxToolkit:TabContainer>
    
    
    
    <!-- Put this Control outside of the Tabs Container -->
    <SBRibbon:Ribbon_FileMenu ID="Ribbon_FileMenu1" runat="server">
        <ContentTemplate>
            <SBRibbon:Ribbon_FileMenuItem ID="Ribbon_FileMenuItem1" runat="server" Text="File Menu Item 1" ImageUrl="../Img/next.png" />
            <SBRibbon:Ribbon_FileMenuItem ID="Ribbon_FileMenuItem2" runat="server" Text="File Menu Item 2" ImageUrl="../Img/prev.png" />
            <SBRibbon:Ribbon_FileMenuItem ID="Ribbon_FileMenuItem3" runat="server" Text="File Menu Item 3" ImageUrl="../Img/reply.png" />                                                                           
        </ContentTemplate>
    </SBRibbon:Ribbon_FileMenu>
 
 
    Other page stuff here...


    <script>
        // Keep this code at the end of the page
        if (typeof SBRibbon == "undefined") {
            alert("SBRibbon is not defined. Include Ribbon/Ribbon.js in the head section of this page");
        }
        else {
            // Not necessary : It will add a "FileMenu" to the ribbon (top left)
            // Register the "FileMenu" Control using a JS method
            // Use this function to choose the color of the menu -> See last parameter (green, purple, blue, green(default))
            SBRibbon.RegisterFileMenu("Fichier", "<%=this.TabContainer1.ClientID %>", "<%=this.Ribbon_FileMenu1.ClientID %>", "orange");
        }
    </script>
    
    </form>
    </body>
</html>
