﻿//-----------------------------------------------------------------------------
// <copyright file="RibbonZone.ascx.cs" company="Ortems">
//	 Copyright (c) Sébastien Bouez. All rights reserved.
// </copyright>
// <author>Sébastien Bouez</author>
//-----------------------------------------------------------------------------
using System;
using System.Collections.ObjectModel;
using System.Web.UI;

/// <summary>
/// Ribbon zone
/// </summary>
public partial class RibbonZone : RibbonCollectionControl
{
	/// <summary>
	/// Déclenche l'événement <see cref="E:System.Web.UI.Control.Init"/>.
	/// </summary>
	/// <param name="e">Objet <see cref="T:System.EventArgs"/> qui contient les données d'événement.</param>
	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		this.CheckDisposed();

		if (this.Items != null)
		{
			foreach (Control obj in this.Items)
			{
				this.PlaceHolder1.Controls.Add(obj);
			}
		}
	}
}